Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
logdatenOffline
Post subject: libpng14 issue  PostPosted: 30.01.2011, 21:49



Joined: 2011-01-29
Posts: 8

Status: Offline
Hi,

I have some applications that depend on libpng14.
The problem is - I cannot find libpng14 in any branch whatsoever. It's not even in experimental. Is this possible or am I just blind? If it's really not there, can someone recommend a way to get it (I guess I have to compile it myself) without breaking my system while using it? I know it is not recommended to install anything that is not from the official repos but I really need it.
Is there a reason why it is not in debian? Other distros have it for years now. Please let me know, if it is too dangerous to use.

Thank you.

Regards
 
 View user's profile Send private message  
Reply with quote Back to top
muchan
Post subject: RE: libpng14 issue  PostPosted: 30.01.2011, 22:21
Moderator


Joined: 2010-09-11
Posts: 468

"Is there a reason why it is not in debian?"

I found this by googling:
http://www.mail-archive.com/debian-bugs ... 35006.html
      Quote:

libpng 1.4.0~beta16-0 in experimental has RC bugs and upstream seems
not maintaining it.

later on same bug report:
      Quote:

We believe that the bug you reported is now fixed; the following
package(s) have been removed from experimental:

libpng | 1.4.0~beta16-0 | source
libpng14-1 | 1.4.0~beta16-0 | alpha, amd64, arm, hppa, i386, ia64, mips,
mipsel, powerpc, s390, sparc
libpng14-1-udeb | 1.4.0~beta16-0 | alpha, amd64, arm, hppa, i386, ia64, mips,
mipsel, powerpc, s390, sparc
libpng14-dev | 1.4.0~beta16-0 | alpha, amd64, arm, hppa, i386, ia64, mips,
mipsel, powerpc, s390, sparc
libpng3 | 1.4.0~beta16-0 | all
 
 View user's profile Send private message  
Reply with quote Back to top
DeepDayzeOffline
Post subject: RE: libpng14 issue  PostPosted: 31.01.2011, 18:54



Joined: 2010-09-11
Posts: 616
Location: USA
Status: Offline
that bug report is nearly 4 years old so maybe it is time to look for another application that's updated with the latest libpng

NB: Sid currently has libpng12.
 
 View user's profile Send private message  
Reply with quote Back to top
logdatenOffline
Post subject: Re: RE: libpng14 issue  PostPosted: 31.01.2011, 21:32



Joined: 2011-01-29
Posts: 8

Status: Offline
      DeepDayze wrote:
that bug report is nearly 4 years old so maybe it is time to look for another application that's updated with the latest libpng

NB: Sid currently has libpng12.


Hm, it seems to me that libpng12 is even older than libpng14, isn't it?

So I repeat my question: is anything against using libpng14 and how does it possibly break DU or the systemat all.

Again, thank you.

Regards
 
 View user's profile Send private message  
Reply with quote Back to top
muchan
Post subject: RE: Re: RE: libpng14 issue  PostPosted: 31.01.2011, 22:53
Moderator


Joined: 2010-09-11
Posts: 468

You didn't repeat your question.
(in previous post you asked. "Is there a reason why it is not in debian?"
the direct answer was in the link. It was unmaintained and removed from repo.
and since then no one took the task to put it in debian again, so it is not on repo.)

In new question:
" is anything against using libpng14 and how does it possibly break DU or the systemat all."
the answer is:
"since it is not in debian, you can't install it with apt."

That's the reason against using... you can install it with your own risk, and aptosid team
will not support it... if it break your system or not, depends on how you will "install" it
on your system... if you learn well, and take care not to break your system, it may not break.

If you "really need it", then take time to learn to properly use it, without breaking anything...
with your own responsibility.
 
 View user's profile Send private message  
Reply with quote Back to top
slamOffline
Post subject: RE: Re: RE: libpng14 issue  PostPosted: 01.02.2011, 10:57
Team Member


Joined: 1970-01-01
Posts: 607
Location: w3
Status: Offline
libpng12-0 is in Debian (1.2.44-1 atm), well maintained and should work with all applications using libpng. The upstream project at http://libpng.org/pub/png/libpng.html is active. The link mentioned above just talks about the removal of a buggy beta version 4 years ago.

If your application really needs version 1.4 or 1.5, you will need to self compile and link those libs - or complain with the author of the application.

Greetings,
Chris

_________________
an operating system must operate
development is life
my Debian repo
 
 View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number 
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio